Create Dispute
Creates a dispute in Chargeflow that can either be viewed through the Chargeflow platform or managed by Chargeflow.
Authorization
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/public/2025-04-01/platform/disputes" \ -H "Content-Type: application/json" \ -d '{ "source_id": "du_123456789", "account_id": "66e6ea9ecd94925a9f8060d9", "created_at": "2024-02-10T12:00:00Z", "reason": "fraud", "due_by": "2024-02-20T12:00:00Z", "amount": 100, "currency": "USD", "status": "needs_response" }'{ "id": "66e6ea9ecd94925a9f8060d9", "source": "stripe", "source_id": "du_123456789", "account_id": "66e6ea9ecd94925a9f8060d9", "ext_account_id": "acc_123456", "created_at": "2024-02-10T12:00:00Z", "reason": "fraud", "due_by": "2024-02-20T12:00:00Z", "amount": 100, "currency": "USD", "status": "needs_response", "stage": "Chargeback", "closed_at": "2025-01-27T10:00:00Z", "transaction": "66e6ea9ecd94925a9f8060d9", "subscription": "66e6ea9ecd94925a9f8060d9", "order": "ord_1234567890"}